package MT::Plugin::TransEncoding;


#

#č\zɕR[hϊďo͂

#
use strict;
use vars qw( $VERSION $ENCODING $ENCODING_NAME);
$VERSION = '1.0';

# Specify encoding and encoding name.
$ENCODING = 'euc';
$ENCODING_NAME = 'EUC_JP';

use MT;
use MT::Plugin;
use base qw(MT::Plugin);

use MT::App;
use MT::Template::Context;
use MT::I18N;

my $plugin = MT::Plugin::TransEncoding->new({
	name => "TransEncoding",
	description => 'Convert PublishCharset at rebuild time',
	author_name => 'Skyarc co.ltd.',
	version => $VERSION,
#	config_template => \&_config_template,
});
MT->add_plugin($plugin);

MT->add_callback('BuildPage', 4, $plugin, \&cb_trans_encoding);

sub cb_trans_encoding {
    my $eh = shift;
    my %args = @_;
    my $html = $args{Content};
    
    $$html = MT::I18N::encode_text($$html,MT->instance->charset,$ENCODING);
    $$html =~ s/charset=\S+/charset=$ENCODING_NAME/;
}

1;